org.apache.ignite.internal.processors.cluster

## Class BaselineAutoAdjustMXBeanImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.cluster.BaselineAutoAdjustMXBeanImpl

All Implemented Interfaces:
  BaselineAutoAdjustMXBean

    public class BaselineAutoAdjustMXBeanImpl
    extends Object
    implements BaselineAutoAdjustMXBean

`BaselineAutoAdjustMXBean` implementation.

### Constructor Summary

Constructors
Constructor and Description
`BaselineAutoAdjustMXBeanImpl(GridKernalContext ctx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getAutoAdjustmentTimeout()`
`String` `getTaskState()`
`long` `getTimeUntilAutoAdjust()`
`boolean` `isAutoAdjustmentEnabled()`
`void` `setAutoAdjustmentEnabled(boolean enabled)`
`void` `setAutoAdjustmentTimeout(long timeout)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BaselineAutoAdjustMXBeanImpl

    public BaselineAutoAdjustMXBeanImpl(GridKernalContext ctx)

Parameters:
  `ctx` - Context.

### Method Detail

#### isAutoAdjustmentEnabled

    public boolean isAutoAdjustmentEnabled()

Specified by:
  `isAutoAdjustmentEnabled` in interface `BaselineAutoAdjustMXBean`

#### getAutoAdjustmentTimeout

    public long getAutoAdjustmentTimeout()

Specified by:
  `getAutoAdjustmentTimeout` in interface `BaselineAutoAdjustMXBean`

#### getTimeUntilAutoAdjust

    public long getTimeUntilAutoAdjust()

Specified by:
  `getTimeUntilAutoAdjust` in interface `BaselineAutoAdjustMXBean`

#### getTaskState

    public String getTaskState()

Specified by:
  `getTaskState` in interface `BaselineAutoAdjustMXBean`

#### setAutoAdjustmentEnabled

    public void setAutoAdjustmentEnabled(boolean enabled)

Specified by:
  `setAutoAdjustmentEnabled` in interface `BaselineAutoAdjustMXBean`

#### setAutoAdjustmentTimeout

    public void setAutoAdjustmentTimeout(long timeout)

Specified by:
  `setAutoAdjustmentTimeout` in interface `BaselineAutoAdjustMXBean`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020